<?php

/* ievent Custom Post Type */

add_action('init', 'jx_ievent_cpt_portfolio');
add_action('init', 'jx_ievent_cpt_faq');
add_action('init', 'jx_ievent_cpt_testimonial');
add_action('init', 'jx_ievent_cpt_speakers');
add_action('init', 'jx_ievent_cpt_flexslider');
add_action('init', 'jx_ievent_cpt_partners');
add_action('init', 'jx_ievent_cpt_participants');
add_action('init', 'jx_ievent_cpt_agenda');

 
function jx_ievent_cpt_portfolio(){
			global $data; 
			
			$labels = array(
			'name' => _x('Portfolio','portfolio','ievent'),
			'singular_name' => _x('Portfolio','portfolio','ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New Portfolio Item','ievent'),
			'edit_item' => __('Edit Item','ievent'),
			'new_item' => __('New Item','ievent'),
			'view_item' => __('View Item','ievent'),
			'search_items' => __('Search Items','ievent'),
			'not_found' =>  __('No items found','ievent'),
			'not_found_in_trash' => __('No items found in Trash','ievent'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title','editor','thumbnail')
			); 
			
			register_post_type('portfolio',$args);
			
			
			register_taxonomy( "portfolio-categories", 
			array( 	"portfolio" ), 
			array( 	"hierarchical" => true,
			"labels" => array('name'=>"Category",'add_new_item'=>"Add New Field"), 
			"singular_label" => __('Field','ievent'), 
			"rewrite" => array( 'slug' => 'fields', // This controls the base slug that will display before each term 
			'with_front' => false)
			));

			
}// EOF portfolio CPT


function jx_ievent_cpt_faq(){
			
			global $data; 

			$labels = array(
			'name' => _x('FAQs','FAQs', 'ievent'),
			'singular_name' => _x('FAQ','FAQs','ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New FAQ','ievent'),
			'edit_item' => __('Edit FAQ','ievent'),
			'new_item' => __('New FAQ','ievent'),
			'view_item' => __('View FAQ','ievent'),
			'search_items' => __('Search FAQs','ievent'),
			'not_found' =>  __('No FAQs found','ievent'),
			'not_found_in_trash' => __('No FAQs found in Trash','ievent'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail')
		  );
		
		   
		  register_post_type('faq',$args);
		  
		  
		  register_taxonomy( "faq-categories", 
			array( 	"faq" ), 
			array( 	"hierarchical" => true,
			"labels" => array('name'=>"Category",'add_new_item'=>"Add New Field"), 
			"singular_label" => __('Field','ievent'), 
			"rewrite" => array( 'slug' => 'fields', // This controls the base slug that will display before each term 
			'with_front' => false)
			));

}//EOF FAQ CPT


function jx_ievent_cpt_testimonial(){
			global $data; 
			$labels = array(
				'name' => __('Testimonials','Testimonials','ievent'),
				'singular_name' => __('Testimonial','Testimonials','ievent'),
				'add_new' => __('Add New','ievent'),
				'add_new_item' => __('Add New Testimonial','ievent'),
				'edit_item' => __('Edit Testimonial','ievent'),
				'new_item' => __('New Testimonial','ievent'),
				'view_item' => __('View Testimonial','ievent'),
				'search_items' => __('Search Testimonials','ievent'),
				'not_found' =>  __('No Testimonials found','ievent'),
				'not_found_in_trash' => __('No Testimonials in the trash','ievent'),
				'parent_item_colon' => '',
			);
		 
			$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail')
		  );
		  
		  register_post_type('testimonials',$args);
		  
}//EOF Testimonial CPT


function jx_ievent_cpt_speakers(){
			global $data; 
 			$labels = array(
			'name' => _x('Speakers','Speakers', 'ievent'),
			'singular_name' => _x('Speaker','Speaker', 'ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New Speaker','ievent'),
			'edit_item' => __('Edit Speaker','ievent'),
			'new_item' => __('New Speaker','ievent'),
			'view_item' => __('View Speaker','ievent'),
			'search_items' => __('Search Speaker','ievent'),
			'not_found' =>  __('No Speaker found','ievent'),
			'not_found_in_trash' => __('No Speaker found in Trash','ievent'),
			'parent_item_colon' => ''
		  );
		  $args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => 5,
			'supports' => array('title','editor','thumbnail')
		  );
		  
		  register_post_type('speakers',$args);
		 
}//EOF Team-Member CPT		


function jx_ievent_cpt_flexslider(){
			global $data; 
			
			$labels = array(
			'name' => _x('Flexslider','flexslider','ievent'),
			'singular_name' => _x('Flexslider','flexslider','ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New Flexslider Item','ievent'),
			'edit_item' => __('Edit Item','ievent'),
			'new_item' => __('New Item','ievent'),
			'view_item' => __('View Item','ievent'),
			'search_items' => __('Search Items','ievent'),
			'not_found' =>  __('No items found','ievent'),
			'not_found_in_trash' => __('No items found in Trash','ievent'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title')
			); 
			
			register_post_type('flexslider',$args);


			
}// EOF Registered Users


function jx_ievent_cpt_partners(){
			global $data; 
			
			$labels = array(
			'name' => _x('Partners','partners','ievent'),
			'singular_name' => _x('Partner','partner','ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New Partner Item','ievent'),
			'edit_item' => __('Edit Item','ievent'),
			'new_item' => __('New Item','ievent'),
			'view_item' => __('View Item','ievent'),
			'search_items' => __('Search Items','ievent'),
			'not_found' =>  __('No items found','ievent'),
			'not_found_in_trash' => __('No items found in Trash','ievent'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title')
			); 
			
			register_post_type('partners',$args);
			
			register_taxonomy( "partners-category", 
			array( 	"partners" ), 
			array( 	"hierarchical" => true,
			"labels" => array('name'=>"Category",'add_new_item'=>"Add New Field"), 
			"singular_label" => __('Field','ievent'), 
			"rewrite" => array( 'slug' => 'fields', // This controls the base slug that will display before each term 
			'with_front' => false)
			));


			
}// EOF Registered Users


function jx_ievent_cpt_participants(){
			global $data; 
			
			$labels = array(
			'name' => _x('Participants','participants','ievent'),
			'singular_name' => _x('Participants','participants','ievent'),
			'add_new' => __('Add New', 'ievent'),
			'add_new_item' => __('Add New Participants Item','ievent'),
			'edit_item' => __('Edit Item','ievent'),
			'new_item' => __('New Item','ievent'),
			'view_item' => __('View Item','ievent'),
			'search_items' => __('Search Items','ievent'),
			'not_found' =>  __('No items found','ievent'),
			'not_found_in_trash' => __('No items found in Trash','ievent'), 
			'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => false,
			'menu_position' => 20,
			'supports' => array('title')
			); 
			
			register_post_type('participants',$args);


			
}// EOF Registered Users


function jx_ievent_cpt_agenda(){
			global $data; 
			
			$labels = array(
				'name' => _x('Agenda','agenda','ievent'),
				'singular_name' => _x('Agenda','agenda','ievent'),
				'add_new' => __('Add New', 'ievent'),
				'add_new_item' => __('Add New Agenda','ievent'),
				'edit_item' => __('Edit Item','ievent'),
				'new_item' => __('New Item','ievent'),
				'view_item' => __('View Item','ievent'),
				'search_items' => __('Search Items','ievent'),
				'not_found' =>  __('No items found','ievent'),
				'not_found_in_trash' => __('No items found in Trash','ievent'), 
				'parent_item_colon' => ''
			);
			$args = array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'page',
			'hierarchical' => true,
			'menu_position' => 15,
			'supports' => array('title','editor','thumbnail','page-attributes')
			); 
			
			register_post_type('agenda',$args);


			
}// EOF Schedule


add_filter( 'manage_participants_posts_columns', 'my_edit_participants_columns' ) ;

function my_edit_participants_columns( $columns ) {

	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => esc_html__( 'Customer Name' ),
		'email' => esc_html__( 'Email' ),
		'phone' => esc_html__( 'Phone' ),
		'plan' => esc_html__( 'Plan' )
	);

	return $columns;
}


//Ading content to columns to participants
add_action( 'manage_posts_custom_column', 'my_manage_participants_columns', 10, 2 );

function my_manage_participants_columns( $column, $post_id ) {
	global $post;

	switch( $column ) {

		/* If displaying the 'duration' column. */
		case 'email' :

			/* Get the post meta. */
			$email = get_post_meta( $post_id, 'jx_ievent_reg_email', true );

			/* If no duration is found, output a default message. */
			if ( empty( $email ) )
				echo esc_html_e( 'Unknown' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $email;
			break;

		/* If displaying the 'genre' column. */
		case 'phone' :

			/* Get the genres for the post. */
			$phone = get_post_meta( $post_id, 'jx_ievent_reg_phone', true );

			/* If no duration is found, output a default message. */
			if ( empty( $phone ) )
				echo esc_html_e( 'Unknown' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $phone;
			break;
		
		case 'plan' :

			/* Get the genres for the post. */
			$plan = get_post_meta( $post_id, 'jx_ievent_reg_ticket', true );

			/* If no duration is found, output a default message. */
			if ( empty( $plan ) )
				echo esc_html_e( 'Unknown' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $plan;
			break;

		/* Just break out of the switch statement for everything else. */
		default :
			break;
	}
}


add_filter( 'manage_edit-agenda_columns', 'my_edit_agenda_columns' ) ;

function my_edit_agenda_columns( $columns ) {

	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => esc_html__( 'Speaker Name' ),		
		'speaker' => esc_html__( 'Speaker Photo' ),
		'session_title' => esc_html__( 'Title' ),
		'time' => esc_html__( 'Time' ),
		
	);

	return $columns;
}

//Ading content to columns to agenda
add_action( 'manage_agenda_posts_custom_column', 'my_manage_agenda_columns', 10, 2 );

function my_manage_agenda_columns( $column, $post_id ) {
	global $post;

	switch( $column ) {

		/* If displaying the 'duration' column. */
		case 'time' :

			/* Get the post meta. */
			$time = get_post_meta($post_id,'jx_ievent_session_time',true);

			/* If no duration is found, output a default message. */
			if ( empty( $time ) )
				echo esc_html_e( '' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $time;
			break;
	
		case 'session_title' :

			/* Get the post meta. */
			$title = get_post_meta($post_id,'jx_ievent_session_title',true);

			/* If no duration is found, output a default message. */
			if ( empty( $title ) )
				echo esc_html_e( '' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $title;
			break;

		/* If displaying the 'genre' column. */
		case 'speaker' :

			/* Get the genres for the post. */
			$speaker = get_the_post_thumbnail($post_id,'testimonial');

			/* If no duration is found, output a default message. */
			if ( empty( $speaker ) )
				echo esc_html_e( '' );

			/* If there is a duration, append 'minutes' to the text string. */
			else
				echo $speaker;
			break;
				

		/* Just break out of the switch statement for everything else. */
		default :
			break;
	}
}



//Agenda Collapse 

if (!class_exists('Admin_Collapse_Subpages')) {
	class Admin_Collapse_Subpages {
		public $version = '2.3';
		function __construct() {
			add_action('admin_init', array($this, 'action_init'));
			add_action('admin_enqueue_scripts', array($this, 'acs_scripts'));
		}
		public function acs_admin_body_class( $classes ) {
			$classes .= ' ' .'acs-hier';
			return $classes;
		}
		public function translation_strings() {
			return array(
				'expand_all' => __('Expand All', 'admin-collapse-subpages'),
				'collapse_all' => __('Collapse All', 'admin-collapse-subpages'),
				'children' => __('[children]', 'admin-collapse-subpages'),
			);
		}
		public function action_init() {
			load_plugin_textdomain('admin-collapse-subpages', false, basename( dirname( __FILE__ ) ) . '/languages' );
		}
		public function acs_scripts() {
			global $pagenow;
			if(isset($_GET['post_type']) ) {
				$post_type = $_GET['post_type'];
				if(is_post_type_hierarchical($post_type)) {
					add_filter( 'admin_body_class', array($this, 'acs_admin_body_class') );
				}
			}
			if ( is_admin() && isset($_GET['post_type']) && $pagenow =='edit.php' ) {
				//make sure jquery is loaded
				wp_enqueue_script('jquery');
				//cookie script for saving collapse states 
				wp_enqueue_script('jquery-cookie', plugins_url('../js/jquery.cookie.js', __FILE__ ), 'jquery', '1.4.0');
				//main collapse pages script
				wp_register_script('acs-js', plugins_url('../js/admin_collapse_subpages.js', __FILE__ ), array('jquery-cookie'), $this->version);
				wp_localize_script('acs-js', 'acs_strings', $this->translation_strings());
				wp_enqueue_script('acs-js');
				
				
			}
		}
	}
	global $collapsePages;
	$collapsePages = new Admin_Collapse_Subpages();
}



			

?>