<?php 
	/* Contact Us  ---------------------------------------------*/
	add_shortcode('contact_us', 'jx_ievent_contact_us');
	
	function jx_ievent_contact_us($atts, $content = null) { 
		extract(shortcode_atts(array(
		
		'email' => ''
		
		), $atts)); 
		
		$headers='';
		$status='';
		$status_class='';
		$id = rand(0,100);
		 				
		//If the form is submitted
		if(isset($_POST['submit-contact'])) {
			
			//Subject field is not required
			$subject = trim($_POST['subject']);
			
			$name    = sanitize_text_field( $_POST["contact_name"] );
			$email   = sanitize_email( $_POST["email"] );
			$subject = sanitize_text_field( $_POST["subject"] );
			$message = esc_textarea( $_POST["msg"] );			
		
			//If there is no error, send the email
			$emailTo = get_option( 'admin_email' ); //Put your own email address here 
			$body = __('Name:', 'expobiz')." $name \n\n"; 
			$body .= __('Email:', 'expobiz')." $email \n\n"; 
			$body .= __('Subject:', 'expobiz')." $subject \n\n"; 
			$body .= __('Message:', 'expobiz')."\n $message"; 
			$headers= 'Reply-To: ' . $name . ' <' . $email . '>' . "\r\n"; 
			
			if ( wp_mail($emailTo, $subject, $body, $headers) ) {
				$status= 'Thanks for contacting me, expect a response soon.';
				$status_class="jx-ievent-success";
			} else {
				$status = 'An unexpected error occurred';
				$status_class="jx-ievent-error";
			}
		
		}
		
		$out ='
		<div class="jx-ievent-contact-form">
			
			<div class="jx-ievent-status-message '.$status_class.'">'.$status.'</div>
			<form action="'.get_permalink().'" method="post">
				<div class="row-1">
					<div class="contact-full-name">
						<input type="text" id="full-name-contact-'.$id.'" name="contact_name" placeholder="'.esc_html__('Full Name','ievent').'" class="jx-ievent-form-text" data-validation-length="min3"/>
						<!-- First Name Textbox -->
					</div>
					<div class="contact-email">
						<input type="text" id="email-contact-'.$id.'" name="email" placeholder="'.esc_html__('Email Address','ievent').'" class="jx-ievent-form-text" data-validation-length="email" data-validation="required"/>
						<!-- Email Name Textbox -->
					</div>
				</div>
				
				<div class="row-1">
					<div class="contact-subject">
						<input type="text" id="subject-'.$id.'" name="subject" placeholder="'.esc_html__('Subject','ievent').'" class="jx-ievent-form-text" />
						<!-- Subject Textbox -->
					</div>
				</div>
				
				<div class="row-1">
					<div class="contact-message">
						<textarea id="message-'.$id.'" name="msg" class="jx-ievent-form-textarea" rows="5" cols="30" placeholder="'.esc_html__('Enter Your Message Here...','ievent').'" data-validation-length="min3"></textarea>
						<!-- Message Box -->
					</div>  
					<div class="contact-submit">
						<input type="submit" id="submit-contact-'.$id.'" name="submit-contact" class="jx-ievent-submit" value="'.esc_html__('Send','ievent').'" />
						<!-- Submit Button -->
					</div>
				</div> 
			</form>
		</div>
		'; 
			
		
		//return output
		return $out;
	}
	
	
	
	
	
		//Visual Composer
	
	
	add_action( 'vc_before_init', 'vc_contact_us' );
	
	
	function vc_contact_us() {	
		vc_map(array(
      "name" => esc_html__( "Contact Us", "ievent" ),
      "base" => "contact_us",
      "class" => "",
	  "icon" => get_template_directory_uri().'/images/icon/vc_contact-us.png',
      "category" => esc_html__( "iEvent Shortcodes", "ievent"),
	  "description" => __('Add Contact Us','ievent'),
      "params" => array(
		 		 
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Email", "ievent" ),
            "param_name" => "email",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type Email here", "ievent" )
         )
		 
      )
   )); 
	}
	
	
	
	//Contact Info Box
	add_shortcode('contact_infobox', 'jx_ievent_contact_infobox');
	
	function jx_ievent_contact_infobox($atts, $content = null) { 
		extract(shortcode_atts(array(
		'icon' => '',
		'title' => '',
		'address' => '',
		'contact' => '',
		'email' => '',		
		), $atts)); 
		
		$out='';
		
		$out='<div class="jx-ievent-contact-info">';
			
		if ($icon):
		$out .='<div class="jx-icon"><i class="fa '.$icon.'"></i></div>';
		endif;
		
		$out .='<div class="jx-info">
				<div class="jx-title">
					<h2>'.$title.'</h2>
					<div class="jx-bottom-border"></div>
				</div>
				<div class="jx-contact-detail">
					<div class="address">'.$address.'</div>
					<div class="contact">'.$contact.'</div>
					<div class="email">'.$email.'</div>				
				</div>
			</div>
		</div>';
		
		
		//return output
		return $out;
		
	}
	
	
	
	
		//Visual Composer
	
	
	add_action( 'vc_before_init', 'vc_contact_infobox' );
	
	
	function vc_contact_infobox() {	
		vc_map(array(
      "name" => esc_html__( "Contact Infobox", "ievent" ),
      "base" => "contact_infobox",
      "class" => "",
	  "icon" => get_template_directory_uri().'/images/icon/vc_speaker.png',
      "category" => esc_html__( "iEvent Shortcodes", "ievent"),
	  "description" => __('Add Contact Infobox','ievent'),
      "params" => array(
		 		 
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Icon", "ievent" ),
            "param_name" => "icon",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Select Your Icon", "ievent" )
         ),
		 
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Title", "ievent" ),
            "param_name" => "title",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type Your Title Here", "ievent" )
         ),
		 
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Address", "ievent" ),
            "param_name" => "address",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type Your Address ", "ievent" )
         ),

		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Contact", "ievent" ),
            "param_name" => "contact",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type Your Address ", "ievent" )
         ),

		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Email", "ievent" ),
            "param_name" => "email",
			"value" => esc_html__( "", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type Your Email Address ", "ievent" )
         )


		 		 

      )
   )); 
	}
	
	
	
?>