<?php 


	/* Speaker  ---------------------------------------------*/
	
	add_shortcode('speakers', 'jx_ievent_speakers');
	
	function jx_ievent_speakers($atts, $content = null) { 
		extract(shortcode_atts(array(
					'type' =>'1',
					'title' => 'Meet Our',
					'bold_title' => 'Speakers',
					'count' => '8',
					'intro' =>'yes'					
				), $atts)); 
		 
		
		//initial variables
		$out=''; 
		$i=0;
		$intro_class='';
		
		global $ievent_data;
		
		
		if ($intro=='yes'):
		$intro_class='intro_class';
		endif;
		
		if($type=='1'):
		$type_class="jx-ievent-normal";
		$image_size="speaker-image";
		elseif($type=='2'):
		$type_class="jx-ievent-speaker-lg";
		$image_size="speaker-image-lg";
		endif;
		
		$out .='<div class="jx-ievent-speaker '.$type_class.' '.$intro_class.'">';
		
		
		if (($i==0) and ($intro=='yes')):
			
			$out .='
			<div class="jx-ievent-speaker-item jx-ievent-speaker-box-content">
				<div class="jx-ievent-title jx-ievent-uppercase">'.$title.'<span> '.$bold_title.'</span></div>
				<div class="jx-ievent-hr-title"></div>
				<p>'.do_shortcode($content).'</p>
			</div>
            <!-- Item Content Box-->';
		endif;
		
		$speaker_permalink='';
		
		$args = array('post_type' => 'speakers','orderby' => 'date', 'order' => 'ASC','showposts' => $count ); 
		$loop = new WP_Query( $args ); 		
		while ( $loop->have_posts() ) : $loop->the_post();  
		//function code
			
			
			if (($ievent_data['speaker_view']=='pop-up') and ($type!='2')):
			$speaker_permalink='<a href="'.esc_url(get_permalink()).'?ajax=true&width=100%&height=500px" data-rel="prettyPhoto[ajax]">'.get_the_title().'</a>';
			elseif (($ievent_data['speaker_view']=='single-page') or ($type=='2')):
			$speaker_permalink='<a href="'.esc_url(get_permalink()).'">'.get_the_title().'</a>';
			endif;
						
			
			$teammember_jobposition = get_post_meta(get_the_id(),'jx_ievent_speaker_position','ievent'); 			

			$out .='			
			<div class="jx-ievent-speaker-item">
				<div class="jx-ievent-speaker-photo jx-ievent-image-wrapper">'.get_the_post_thumbnail(get_the_ID(),$image_size).'
					<div class="jx-ievent-speaker-overlayer"></div>
					<div class="jx-ievent-image-hover-info">
						<div class="jx-ievent-speaker-name">'.$speaker_permalink.'</div>
						<div class="jx-ievent-speaker-pos">'.$teammember_jobposition.'</div>
						<div class="speaker-social">
                		<ul>';			
			
						if (get_post_meta(get_the_id(),'jx_ievent_speaker_fb','ievent')):
						$out .='<li><a href="http://www.facebook.com/'.get_post_meta(get_the_id(),'jx_ievent_speaker_fb','ievent').'"><i class="fa fa-facebook"></i></a></li>';
						endif;
						
						if (get_post_meta(get_the_id(),'jx_ievent_speaker_twitter','ievent')):
						$out .='<li><a href="http://www.twitter.com/'.get_post_meta(get_the_id(),'jx_ievent_speaker_twitter','ievent').'"><i class="fa fa-twitter"></i></a></li>';
						endif;
						
						if (get_post_meta(get_the_id(),'jx_ievent_speaker_linkedin','ievent')):
						$out .='<li><a href="http://www.linkedin.com/'.get_post_meta(get_the_id(),'jx_ievent_speaker_linkedin','ievent').'"><i class="fa fa-linkedin"></i></a></li>';
						endif;
						
			$out .='</ul>
            </div></div>
				</div>
			</div>			
			<!-- Item -->
			';
			
			$i++;
			
		endwhile;
		wp_reset_query(); 
		
		$out .='</div>';  

		
		//return output
		return $out;
	}
	
	
	
	//Visual Composer
	
	
	add_action( 'vc_before_init', 'vc_speaker' );
	
	
	function vc_speaker() {	
		vc_map(array(
      "name" => esc_html__( "Speakers", "ievent" ),
      "base" => "speakers",
      "class" => "",
	  "icon" => get_template_directory_uri().'/images/icon/vc_speaker.png',
      "category" => esc_html__( "iEvent Shortcodes", "ievent"),
	  "description" => __('Add Speakers','ievent'),
      "params" => array(
		 		 
        array(
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => __("Type",'TEXT_DOMAIN'),
			 "param_name" => "type",
			 "value" => array(   
					__('Style A', 'TEXT_DOMAIN') => '1',
					__('Style B', 'TEXT_DOMAIN') => '2',
					),
		),
		
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Title", "ievent" ),
            "param_name" => "title",
			"value" => esc_html__( "Meet Our", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Type title here", "ievent" )
         ),
		 
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Bold Title", "ievent" ),
            "param_name" => "bold_title",
			"value" => esc_html__( "Speakers", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Bold title will go here", "ievent" )
         ),
		 
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Count", "ievent" ),
            "param_name" => "count",
			"value" => esc_html__( "8", "ievent" ), //Default Counter Up Text
            "description" => esc_html__( "Number of speakers", "ievent" )
         ),
		 		 
		array(
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => __("Intro",'TEXT_DOMAIN'),
			 "param_name" => "intro",
			 "value" => array(   
					__('Yes', 'TEXT_DOMAIN') => 'yes',
					__('No', 'TEXT_DOMAIN') => 'no',
					),
		),
		array(
			 "type" => "textarea",
			 "holder" => "div",
			 "class" => "",
			 "heading" => __("Content",'TEXT_DOMAIN'),
			 "param_name" => "content",
			 "value" => "",
		)
      )
   )); 
	}
	 
	
	


?>